player_graphics2d_cmd_points Struct Reference

Data: This interface produces no data. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | points_count
| Number of points in this packet. More...
player_point_2d_t * | points
| Array of points. More...
player_color_t | color
| Color in which the points should be drawn. More...

## Detailed Description

Data: This interface produces no data.

Requests: This interface accepts no requests. Command: Draw points (PLAYER_GRAPHICS2D_CMD_POINTS) Draw some points.

## Member Data Documentation

player_color_t player_graphics2d_cmd_points::color

Color in which the points should be drawn.

player_point_2d_t* player_graphics2d_cmd_points::points

Array of points.

uint32_t player_graphics2d_cmd_points::points_count

Number of points in this packet.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45